ASN1ParsingException (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Class ASN1ParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.bouncycastle.asn1.ASN1ParsingException

- All Implemented Interfaces:
    java.io.Serializable

      public class ASN1ParsingException
      extends java.lang.IllegalStateException

  Exception thrown when correctly encoded, but unexpected data is found in a stream while building an object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASN1ParsingException(java.lang.String message)` Base constructor
    `ASN1ParsingException(java.lang.String message, java.lang.Throwable cause)` Constructor when this exception is due to another one.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Return the underlying cause of this exception, if any.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASN1ParsingException

          public ASN1ParsingException(java.lang.String message)

      Base constructor
      Parameters:
        `message` - a message concerning the exception.

    - #### ASN1ParsingException

          public ASN1ParsingException(java.lang.String message,
                                      java.lang.Throwable cause)

      Constructor when this exception is due to another one.
      Parameters:
        `message` - a message concerning the exception.
        `cause` - the exception that caused this exception to be thrown.

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Return the underlying cause of this exception, if any.
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        the exception causing this one, null if there isn't one.